ATA_MSENSE_CACHING(9)

NAME
ata_msense_caching - Simulate MODE SENSE caching info page

SYNOPSIS

unsigned int ata_msense_caching(u16 * id, u8 * buf, bool changeable);

ARGUMENTS

id
    device IDENTIFY data

buf
    output buffer

changeable
    whether changeable parameters are requested

DESCRIPTION

Generate a caching info page, which conditionally indicates write caching to the SCSI layer, depending on device capabilities.

LOCKING

None.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT